Run one workflow method
curl --request POST \
--url https://app.myhero.so/automation/method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spec": {
"kind": "table.setCell",
"tableId": "<string>",
"rowRef": "<string>",
"columnId": "<string>",
"value": "<string>"
},
"projectId": "<string>"
}
'import requests
url = "https://app.myhero.so/automation/method"
payload = {
"spec": {
"kind": "table.setCell",
"tableId": "<string>",
"rowRef": "<string>",
"columnId": "<string>",
"value": "<string>"
},
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spec: {
kind: 'table.setCell',
tableId: '<string>',
rowRef: '<string>',
columnId: '<string>',
value: '<string>'
},
projectId: '<string>'
})
};
fetch('https://app.myhero.so/automation/method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.myhero.so/automation/method",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'spec' => [
'kind' => 'table.setCell',
'tableId' => '<string>',
'rowRef' => '<string>',
'columnId' => '<string>',
'value' => '<string>'
],
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.myhero.so/automation/method"
payload := strings.NewReader("{\n \"spec\": {\n \"kind\": \"table.setCell\",\n \"tableId\": \"<string>\",\n \"rowRef\": \"<string>\",\n \"columnId\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.myhero.so/automation/method")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"spec\": {\n \"kind\": \"table.setCell\",\n \"tableId\": \"<string>\",\n \"rowRef\": \"<string>\",\n \"columnId\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"projectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.myhero.so/automation/method")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"spec\": {\n \"kind\": \"table.setCell\",\n \"tableId\": \"<string>\",\n \"rowRef\": \"<string>\",\n \"columnId\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"projectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"output": {},
"tombstones": [
{
"action": "<string>",
"detail": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Automations
Run one workflow method
Executes a single workflow step — the same methods an automation’s steps run through, with the same scoping and bounds — without creating an automation.
The project boundary is derived from the entity the spec names (its table or document), never from the body; projectId is required by document.create, document.find, table.createTable, notify.inApp and notify.email, which name no existing entity to derive it from.
Structural references (rowRef, documentRef) take a bare id.
POST
/
automation
/
method
Run one workflow method
curl --request POST \
--url https://app.myhero.so/automation/method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"spec": {
"kind": "table.setCell",
"tableId": "<string>",
"rowRef": "<string>",
"columnId": "<string>",
"value": "<string>"
},
"projectId": "<string>"
}
'import requests
url = "https://app.myhero.so/automation/method"
payload = {
"spec": {
"kind": "table.setCell",
"tableId": "<string>",
"rowRef": "<string>",
"columnId": "<string>",
"value": "<string>"
},
"projectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
spec: {
kind: 'table.setCell',
tableId: '<string>',
rowRef: '<string>',
columnId: '<string>',
value: '<string>'
},
projectId: '<string>'
})
};
fetch('https://app.myhero.so/automation/method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.myhero.so/automation/method",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'spec' => [
'kind' => 'table.setCell',
'tableId' => '<string>',
'rowRef' => '<string>',
'columnId' => '<string>',
'value' => '<string>'
],
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.myhero.so/automation/method"
payload := strings.NewReader("{\n \"spec\": {\n \"kind\": \"table.setCell\",\n \"tableId\": \"<string>\",\n \"rowRef\": \"<string>\",\n \"columnId\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.myhero.so/automation/method")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"spec\": {\n \"kind\": \"table.setCell\",\n \"tableId\": \"<string>\",\n \"rowRef\": \"<string>\",\n \"columnId\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"projectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.myhero.so/automation/method")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"spec\": {\n \"kind\": \"table.setCell\",\n \"tableId\": \"<string>\",\n \"rowRef\": \"<string>\",\n \"columnId\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"projectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"output": {},
"tombstones": [
{
"action": "<string>",
"detail": "<string>"
}
]
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Authorizations
HERO personal access token
Body
application/json
Response
200 response
Show child attributes
Show child attributes